IF NOT EXISTS
	(
		SELECT 
			* 
		FROM 
			SysObjects O 
				INNER JOIN SysColumns C ON O.ID=C.ID
		WHERE 
			ObjectProperty(O.ID,'IsUserTable')=1 
			AND 
			O.Name='tbPermission'
			AND 
			C.Name='PermissionName'
	)
	BEGIN
		exec sp_rename 'tbPermission', 'tbGroupSecretPermission'
		
		ALTER Table [tbGroupSecretPermission]
			drop constraint PK_tbPermission, tbPermissionConcurrency_UNIQ
		
		ALTER Table [tbGroupSecretPermission]
			add GroupSecretPermissionId int identity(1, 1)
			

		CREATE TABLE [dbo].[tbPermission] (
			[PermissionId] [int] NOT NULL CONSTRAINT PK_PERMISSION PRIMARY KEY,
			[PermissionName] [varchar] (150) NOT NULL
		) ON [PRIMARY]
		

		ALTER TABLE [dbo].[tbGroupSecretPermission] 
			ADD CONSTRAINT UNIQ_GroupSecretPermission UNIQUE 
				([ConcurrencyID]),
			    CONSTRAINT PK_GroupSecretPermission PRIMARY KEY
				([GroupSecretPermissionId]),
				CONSTRAINT FK_GroupSecretPermission_PermissionID FOREIGN KEY (PermissionID) REFERENCES
				[dbo].[tbPermission] (
						[PermissionId]
				) 
	END
GO

IF NOT EXISTS
	(
		SELECT 
			1
		FROM 
			tbPermission
		WHERE
			PermissionName = 'View'
	)
	BEGIN
	
			INSERT INTO [dbo].[tbPermission] ( [PermissionId], [PermissionName])
			SELECT 1, 'View'				UNION
			SELECT 2, 'Edit'				UNION
			SELECT 3, 'Change Sharing'
	

	END
GO