IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[tbSettings]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
	CREATE TABLE [dbo].[tbSettings]
	(
		 [SettingId]		INT IDENTITY(1,1) PRIMARY KEY
		,[SettingCode]		NVARCHAR(255) NOT NULL
		,[ConcurrencyID]	VARCHAR(50) NOT NULL
	) ON [PRIMARY]
END

GO

IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[tbUserSettings]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
	CREATE TABLE [dbo].[tbUserSettings]
	(
		 [UserSettingId]	INT IDENTITY(1,1) PRIMARY KEY
		,[UserId]			INT NOT NULL
		,[SettingId]		INT NOT NULL
		,[SettingValue]			NVARCHAR(255) NOT NULL
	) ON [PRIMARY]
END

GO

ALTER TABLE [dbo].[tbUserSettings] ADD 
	CONSTRAINT [FK_tbUserSettings_SettingId] FOREIGN KEY 
	(
		[SettingId]
	)
	REFERENCES [dbo].[tbSettings] ([SettingId])

GO

ALTER TABLE [dbo].[tbUserSettings] ADD 
	CONSTRAINT [FK_tbUserSettings_UserId] FOREIGN KEY 
	(
		[UserId]
	)
	REFERENCES [dbo].[tbUser] ([UserId])

GO

IF NOT EXISTS (SELECT 1 FROM tbSettings WHERE SettingCode = 'LastFolder')
BEGIN
	INSERT INTO [tbSettings]
		(SettingCode, ConcurrencyId) VALUES ('LastFolder', '36D3AA20-D5A1-4de9-98B0-2DBBCF391764')
END

GO