IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[tbDomain]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
	CREATE TABLE [dbo].tbDomain
	(
	     [DomainId] INT IDENTITY(1,1) PRIMARY KEY
		,[Domain] NVARCHAR(255) NOT NULL
		,[Active] BIT NOT NULL
		,[ConfigurationId] INT NOT NULL
		,[DomainPassword] VARCHAR(255) NULL
		,[DomainUserName] VARCHAR(255) NULL
		,[ConcurrencyId] VARCHAR(50) NOT NULL
		,[UseAES256] BIT NOT NULL
	) ON [PRIMARY]
END

GO

ALTER TABLE [dbo].[tbDomain] ADD 
	CONSTRAINT [FK_tbDomain_ConfigurationId] FOREIGN KEY 
	(
		[ConfigurationId]
	)
	REFERENCES [dbo].[tbConfiguration] ([ConfigurationId])
	
GO

INSERT INTO [dbo].[tbDomain] (Domain, Active, ConfigurationId, ConcurrencyId, UseAES256)
	SELECT ActiveDirectoryDomain, 1, ConfigurationId, 'F8B7C85D-45D4-4e9e-8AF3-65F479599D65', 0
	FROM [dbo].[tbConfiguration]
	WHERE ActiveDirectoryDomain IS NOT NULL AND ActiveDirectoryDomain <> ''

GO
